Subject: bug#79205: Package python-pylzma Fails to Build

From: Andreas Enge <[email-masked]>
Date: Wed, 13 Aug 2025 18:17:35 +0200

Thanks for sharing your recipe!

I have taken inspiration by adding python-pyside-6 to the python-qtpy
package inside Guix, so you could drop your python-qtpy-fix.

Why is the swftools-fix needed?

As to hydrus-network you are somewhat cheating, since you disable the
tests! Could you try out what happens when you do not disable tests?

Concerning the propagated-inputs, my theory is that python-pylzma is
actually not needed anymore. Could you try what happens when you remove it?

Andreas